org.apache.xmlbeans.impl.schema

## Class SimpleTypeFactory<T>

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.ElementFactory<T>
  - - org.apache.xmlbeans.impl.schema.SimpleTypeFactory<T>

-     public class SimpleTypeFactory<T>
      extends ElementFactory<T>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTypeFactory(SchemaTypeSystem typeSystem, String typeHandle)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `newValue(Object obj)`

    - ### Methods inherited from class org.apache.xmlbeans.impl.schema.ElementFactory

      `getType, getTypeLoader, newInstance, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTypeFactory

          public SimpleTypeFactory(SchemaTypeSystem typeSystem,
                                   String typeHandle)

  - ### Method Detail

    - #### newValue

          public T newValue(Object obj)